image: mcr.microsoft.com/dotnet/core/sdk:3.1

variables:
  PROJECT_NAME: Otus.Teaching.PromoCodeFactory.WebHost
  TEST_PROJECT_NAME: Otus.Teaching.PromoCodeFactory.UnitTests

stages:
    - build
    - test

build:
    stage: build
    script:
        - dotnet build $PROJECT_NAME/$PROJECT_NAME.csproj -c Release -o content
    only:
      - master
    artifacts:
      paths:
        - content

tests:
    stage: test
    script:
        - dotnet test $TEST_PROJECT_NAME/$TEST_PROJECT_NAME.csproj
